SidInfo Class Referenceabstract

`#include <SidInfo.h>`

Inheritance diagram for SidInfo:

## Public Member Functions

virtual const char * | name () const =0
| Library name.
virtual const char * | version () const =0
| Library version.
virtual unsigned int | numberOfCredits () const =0
| Library credits.
virtual const char * | credits (unsigned int i) const =0
virtual unsigned int | maxsids () const =0
| Number of SIDs supported by this library.
virtual unsigned int | channels () const =0
| Number of output channels (1-mono, 2-stereo)
virtual uint_least16_t | driverAddr () const =0
| Address of the driver.
virtual uint_least16_t | driverLength () const =0
| Size of the driver in bytes.
virtual uint_least16_t | powerOnDelay () const =0
| Power on delay.
virtual const char * | speedString () const =0
| Describes the speed current song is running at.
virtual const char * | kernalDesc () const =0
| Description of the laoded ROM images.
virtual const char * | basicDesc () const =0
virtual const char * | chargenDesc () const =0

## Detailed Description

This interface is used to get sid engine informations.

The documentation for this class was generated from the following file:

- SidInfo.h